<?php


namespace App\Entities\ConfirmacaoEmail;
use App\Utils\Entity;

class ConfirmacaoEmail extends Entity
{
    protected $id;
    protected $id_usuario;
    protected $token;
    protected $tempo_expiracao;
    protected $criado_em;
    protected $alterado_em;
    protected $verificado;

    public static function builder() : ConfirmacaoEmailBuilder
    {
        $confirmacao_email_builder = new ConfirmacaoEmailBuilder();
        return $confirmacao_email_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getIdUsuario() : int
    {
        return $this->id_usuario;
    }

    public function getToken() : string
    {
        return $this->token;
    }

    public function getCriadoEm() : string
    {
        return $this->criado_em;
    }

    public function getAlteradoEm() : ?string
    {
        return $this->alterado_em;
    }

    public function getTempoExpiracao() : int
    {
        return $this->tempo_expiracao;
    }

    public function getVerificado() : int
    {
        return $this->verificado;
    }


    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setIdUsuario(int $id_usuario): void
    {
        $this->id_usuario = $id_usuario;
    }

    public function setToken(string $token): void
    {
        $this->token = $token;
    }

    public function setTempoExpiracao(int $tempo_expiracao): void
    {
        $this->tempo_expiracao = $tempo_expiracao;
    }

    public function setCriadoEm(string $criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    public function setAlteradoEm(?string $alterado_em): void
    {
        $this->alterado_em = $alterado_em;
    }

    public function setVerificado(int $verificado): void
    {
        $this->verificado = $verificado;
    }
}